Index: contrib/debian/changelog
===================================================================
--- contrib/debian/changelog	(revision 588)
+++ contrib/debian/changelog	(revision 629)
@@ -1,2 +1,12 @@
+freediameter (1.0.3) UNRELEASED; urgency=low
+
+  * Fixed a couple of issues for portability (#21, #22, #23)
+  * Fixed issue with ListenOn bit ordering (#20)
+  * Added dictionary support for MIPv6 application objects.
+  * Added dictionary support for legacy XML files.
+  * Added new debug extension based on python (experimental). 
+
+ -- Sebastien Decugis <sdecugis@nict.go.jp>  Tue, 14 Dec 2010 11:39:29 +0900
+
 freediameter (1.0.2) UNRELEASED; urgency=low
 
Index: contrib/debian/control
===================================================================
--- contrib/debian/control	(revision 561)
+++ contrib/debian/control	(revision 629)
@@ -5,5 +5,6 @@
 Build-Depends: debhelper ( >= 7.3.9),
  cmake, make, gcc, bison, flex,
- libsctp-dev, libgnutls-dev, libgcrypt-dev, libpq-dev, libmysqlclient-dev
+ libsctp-dev, libgnutls-dev, libgcrypt-dev, 
+ libpq-dev, libmysqlclient-dev, libxml2-dev, swig, python-dev
 Standards-Version: 3.8.3
 Homepage: http://www.freediameter.net
@@ -28,5 +29,5 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, freediameter-common (= ${binary:Version})
-Suggests: ssl-cert, freediameter-dictionary-rfc4005, freediameter-dictionary-rfc4072
+Suggests: ssl-cert, freediameter-dictionary-rfc4005, freediameter-dictionary-rfc4072, freediameter-dictionary-legacy
 Description: The freeDiameter daemon. 
  The freeDiameter daemon provides support for the Diameter
@@ -43,8 +44,10 @@
 Architecture: any
 Section: contrib/debug
-Depends: ${misc:Depends}, freediameter-daemon (= ${binary:Version})
+Depends: ${misc:Depends}, freediameter-daemon (= ${binary:Version}), python
 Description: freeDiameter debug tools.
  This package provides useful tools to help tracking 
- problems in freeDiameter installation.
+ problems in freeDiameter installation. For example,
+ the dbg_interactive.fdx extension allows access to the 
+ framework via a python interpreter console.  
 
 Package: freediameter-dictionary-rfc4005
@@ -86,4 +89,36 @@
  .
  This extension does not require a configuration file.
+
+Package: freediameter-dictionary-mip6
+Architecture: any
+Depends: ${misc:Depends}
+Description: Diameter Mobile IPv6 application dictionary support.
+ This package contains a set of extensions to provide the support
+ for commands and AVP defined in several RFCs related to
+ Diameter MIPv6. It is split is several extensions:
+ mip6a, mip6i, nas-mipv6, rfc5777.
+ .
+ In order to use these extensions, your main freeDiameter 
+ configuration file must contain LoadExtension directives. 
+ See freeDiameter documentation for more details. 
+ .
+ These extensions do not require a configuration file.
+
+Package: freediameter-dictionary-legacy
+Architecture: any
+Depends: ${misc:Depends}, libxml2
+Description: Legacy XML dictionary files support.
+ This freeDiameter extension allows the use of XML dictionary
+ files with the freeDiameter framework. Please note that
+ dictionaries provided as XML files come with less features
+ than native binary format, so the later should be preferred
+ when possible.
+ .
+ In order to use this extension, your main freeDiameter 
+ configuration file must contain a LoadExtension directive. 
+ See freeDiameter documentation for more details. 
+ .
+ This extension requires a configuration file. See 
+ dict_legacy_xml.conf.sample for documentation.
 
 Package: freediameter-radius-gateway
Index: contrib/debian/freediameter-debug-tools.examples
===================================================================
--- contrib/debian/freediameter-debug-tools.examples	(revision 328)
+++ contrib/debian/freediameter-debug-tools.examples	(revision 629)
@@ -1,1 +1,2 @@
 doc/test_app.conf.sample
+doc/dbg_interactive.py.sample
Index: contrib/debian/freediameter-debug-tools.install
===================================================================
--- contrib/debian/freediameter-debug-tools.install	(revision 431)
+++ contrib/debian/freediameter-debug-tools.install	(revision 629)
@@ -1,2 +1,4 @@
 usr/lib/freeDiameter/dbg_rt.fdx
 usr/lib/freeDiameter/test_app.fdx
+usr/lib/freeDiameter/test_sip.fdx
+usr/lib/freeDiameter/dbg_interactive.fdx
Index: contrib/debian/freediameter-dictionary-legacy.examples
===================================================================
--- contrib/debian/freediameter-dictionary-legacy.examples	(revision 629)
+++ contrib/debian/freediameter-dictionary-legacy.examples	(revision 629)
@@ -0,0 +1,2 @@
+doc/dict_legacy_xml.conf.sample
+contrib/dict_legacy/dictionary.dtd
Index: contrib/debian/freediameter-dictionary-legacy.install
===================================================================
--- contrib/debian/freediameter-dictionary-legacy.install	(revision 629)
+++ contrib/debian/freediameter-dictionary-legacy.install	(revision 629)
@@ -0,0 +1,1 @@
+usr/lib/freeDiameter/dict_legacy_xml.fdx
Index: contrib/debian/freediameter-dictionary-mip6.install
===================================================================
--- contrib/debian/freediameter-dictionary-mip6.install	(revision 629)
+++ contrib/debian/freediameter-dictionary-mip6.install	(revision 629)
@@ -0,0 +1,4 @@
+usr/lib/freeDiameter/dict_nas_mipv6.fdx
+usr/lib/freeDiameter/dict_mip6i.fdx
+usr/lib/freeDiameter/dict_mip6a.fdx
+usr/lib/freeDiameter/dict_rfc5777.fdx
Index: contrib/debian/rules
===================================================================
--- contrib/debian/rules	(revision 560)
+++ contrib/debian/rules	(revision 629)
@@ -27,16 +27,5 @@
 		-DCMAKE_BUILD_TYPE:STRING=DebianPackage \
 		-DDEFAULT_CONF_PATH:PATH=/etc/freeDiameter \
-		-DBUILD_APP_ACCT:BOOL=ON \
-		-DBUILD_APP_DIAMEAP:BOOL=ON \
-		-DBUILD_EAP_MD5:BOOL=ON \
-		-DBUILD_EAP_TLS:BOOL=ON \
-		-DBUILD_APP_RADGW:BOOL=ON \
-		-DBUILD_RGWX_SIP:BOOL=ON \
-		-DBUILD_APP_SIP:BOOL=ON \
-		-DBUILD_DBG_MONITOR:BOOL=ON \
-		-DBUILD_DBG_RT:BOOL=ON \
-		-DBUILD_RT_EREG:BOOL=ON \
-		-DBUILD_TEST_APP:BOOL=ON \
-		-DBUILD_TEST_SIP:BOOL=ON
+		-DALL_EXTENSIONS:BOOL=ON
 		
 
Index: contrib/debian/update_changelog.txt
===================================================================
--- contrib/debian/update_changelog.txt	(revision 629)
+++ contrib/debian/update_changelog.txt	(revision 629)
@@ -0,0 +1,1 @@
+new release: dch -v 1.0.3 -D UNRELEASED
